Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.events
Interface UIEvent

All Superinterfaces:
  Event

All Known Subinterfaces:
  MouseEvent

    public interface UIEvent

extends Event

The `UIEvent` interface provides specific contextual information associated with User Interface events.

See also the Document Object Model (DOM) Level 2 Events Specification.

Since:
  DOM Level 2

Field Summary

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Method Summary
`int` | `getDetail()` Specifies some detail information about the `Event`, depending on the type of event.
`AbstractView` | `getView()` The `view` attribute identifies the `AbstractView` from which the event was generated.
`void` | `initUIEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, int detailArg)` The `initUIEvent` method is used to initialize the value of a `UIEvent` created through the `DocumentEvent` interface.

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Method Detail

### getView

    AbstractView getView()

  The `view` attribute identifies the `AbstractView` from which the event was generated.

### getDetail

    int getDetail()

  Specifies some detail information about the `Event`, depending on the type of event.

### initUIEvent

    void initUIEvent(String typeArg,
                     boolean canBubbleArg,
                     boolean cancelableArg,
                     AbstractView viewArg,
                     int detailArg)

  The `initUIEvent` method is used to initialize the value of a `UIEvent` created through the `DocumentEvent` interface. This method may only be called before the `UIEvent` has been dispatched via the `dispatchEvent` method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.

  Parameters:
    `typeArgSpecifies` - the event type.
    `canBubbleArgSpecifies` - whether or not the event can bubble.
    `cancelableArgSpecifies` - whether or not the event's default action can be prevented.
    `viewArgSpecifies` - the `Event`'s `AbstractView`.
    `detailArgSpecifies` - the `Event`'s detail.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 2004 Sun Microsystems, Inc. 4150 Network Circle
Santa Clara, California, 95054, U.S.A. All Rights Reserved.